<?php

namespace App\Http\ApiV1\Modules\Classifiers\Controllers;

use App\Domain\Categories\Models\PropertyType;
use App\Domain\Classifiers\Enums\MetricsCategory;
use App\Domain\Classifiers\Enums\ProductType;
use App\Http\ApiV1\Modules\Classifiers\Resources\EnumsResource;
use Illuminate\Http\Resources\Json\AnonymousResourceCollection;

class EnumsController
{
    public function getPropertyTypes(): AnonymousResourceCollection
    {
        return EnumsResource::collection(PropertyType::cases());
    }

    public function getProductTypes(): AnonymousResourceCollection
    {
        return EnumsResource::collection(ProductType::cases());
    }

    public function getMetricsCategories(): AnonymousResourceCollection
    {
        return EnumsResource::collection(MetricsCategory::cases());
    }
}
