<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Categories\Controllers\CategoriesController;
use App\Http\ApiV1\Modules\Categories\Controllers\DirectoryValuesController;
use App\Http\ApiV1\Modules\Categories\Controllers\PropertiesController;
use App\Http\ApiV1\Modules\Classifiers\Controllers\BrandsController;
use App\Http\ApiV1\Modules\Classifiers\Controllers\EnumsController;
use App\Http\ApiV1\Modules\Classifiers\Controllers\ProductFieldsController;
use App\Http\ApiV1\Modules\Classifiers\Controllers\ProductFlagsController;
use App\Http\ApiV1\Modules\Classifiers\Controllers\ProductStatusesController;
use App\Http\ApiV1\Modules\Products\Controllers\ProductsController;
use App\Http\ApiV1\Modules\Products\Controllers\PublishedProductsController;
use Illuminate\Support\Facades\Route;

Route::post('classifiers/product-fields:search', [ProductFieldsController::class, 'search'])->name('searchProductFields');
Route::get('classifiers/product-fields/{id}', [ProductFieldsController::class, 'get'])->name('getProductField');
Route::patch('classifiers/product-fields/{id}', [ProductFieldsController::class, 'patch'])->name('patchProductField');
Route::post('classifiers/product-statuses:search', [ProductStatusesController::class, 'search'])->name('searchProductStatuses');
Route::get('classifiers/product-statuses/{id}', [ProductStatusesController::class, 'get'])->name('getProductStatus');
Route::put('classifiers/product-statuses/{id}', [ProductStatusesController::class, 'replace'])->name('replaceProductStatus');
Route::post('classifiers/product-flags:search', [ProductFlagsController::class, 'search'])->name('searchProductFlags');
Route::get('classifiers/product-flags/{id}', [ProductFlagsController::class, 'get'])->name('getProductFlag');
Route::put('classifiers/product-flags/{id}', [ProductFlagsController::class, 'replace'])->name('replaceProductFlag');
Route::get('classifiers/enums/property-types', [EnumsController::class, 'getPropertyTypes'])->name('getPropertyTypes');
Route::get('classifiers/enums/product-types', [EnumsController::class, 'getProductTypes'])->name('getProductTypes');
Route::get('classifiers/enums/metrics-categories', [EnumsController::class, 'getMetricsCategories'])->name('getMetricsCategories');
Route::post('products/products:search', [ProductsController::class, 'search'])->name('searchProductDrafts');
Route::post('products/products:preload-image', [ProductsController::class, 'preloadImage'])->name('preloadProductImage');
Route::post('products/products', [ProductsController::class, 'create'])->name('createProduct');
Route::post('products/products:mass-delete', [ProductsController::class, 'massDelete'])->name('massDeleteProducts');
Route::get('products/products/{id}', [ProductsController::class, 'get'])->name('getProductDraft');
Route::put('products/products/{id}', [ProductsController::class, 'replace'])->name('replaceProduct');
Route::delete('products/products/{id}', [ProductsController::class, 'delete'])->name('deleteProduct');
Route::patch('products/products/{id}', [ProductsController::class, 'patch'])->name('patchProduct');
Route::put('products/products/{id}/images', [ProductsController::class, 'replaceImages'])->name('replaceProductImages');
Route::patch('products/products/{id}/images', [ProductsController::class, 'patchImages'])->name('patchProductImages');
Route::put('products/products/{id}/attributes', [ProductsController::class, 'replaceAttributes'])->name('replaceProductAttributes');
Route::patch('products/products/{id}/attributes', [ProductsController::class, 'patchAttributes'])->name('patchProductAttributes');
Route::post('products/published:search', [PublishedProductsController::class, 'search'])->name('searchProducts');
Route::get('products/published/{id}', [PublishedProductsController::class, 'get'])->name('getProduct');
Route::post('categories/categories', [CategoriesController::class, 'create'])->name('createCategory');
Route::get('categories/categories/{id}', [CategoriesController::class, 'get'])->name('getCategory');
Route::put('categories/categories/{id}', [CategoriesController::class, 'replace'])->name('replaceCategory');
Route::delete('categories/categories/{id}', [CategoriesController::class, 'delete'])->name('deleteCategory');
Route::patch('categories/categories/{id}', [CategoriesController::class, 'patch'])->name('patchCategory');
Route::post('categories/categories/{id}:bind-properties', [CategoriesController::class, 'bindProperties'])->name('bindCategoryProperties');
Route::post('categories/categories:mass-delete', [CategoriesController::class, 'massDelete'])->name('deleteCategories');
Route::post('categories/categories:search', [CategoriesController::class, 'search'])->name('searchCategories');
Route::post('categories/categories:tree', [CategoriesController::class, 'tree'])->name('getCategoriesTree');
Route::post('categories/properties', [PropertiesController::class, 'create'])->name('createProperty');
Route::get('categories/properties/{id}', [PropertiesController::class, 'get'])->name('getProperty');
Route::put('categories/properties/{id}', [PropertiesController::class, 'replace'])->name('replaceProperty');
Route::delete('categories/properties/{id}', [PropertiesController::class, 'delete'])->name('deleteProperty');
Route::patch('categories/properties/{id}', [PropertiesController::class, 'patch'])->name('patchProperty');
Route::post('categories/properties:mass-delete', [PropertiesController::class, 'massDelete'])->name('deleteProperties');
Route::post('categories/properties:search', [PropertiesController::class, 'search'])->name('searchProperties');
Route::post('categories/properties/{id}:add-directory', [DirectoryValuesController::class, 'create'])->name('createDirectoryValue');
Route::post('categories/properties/directory:preload-image', [DirectoryValuesController::class, 'preloadImage'])->name('preloadDirectoryValueImage');
Route::post('categories/properties/directory:preload-file', [DirectoryValuesController::class, 'preloadFile'])->name('preloadDirectoryValueFile');
Route::get('categories/properties/directory/{id}', [DirectoryValuesController::class, 'get'])->name('getDirectoryValue');
Route::put('categories/properties/directory/{id}', [DirectoryValuesController::class, 'replace'])->name('replaceDirectoryValue');
Route::delete('categories/properties/directory/{id}', [DirectoryValuesController::class, 'delete'])->name('deleteDirectoryValue');
Route::patch('categories/properties/directory/{id}', [DirectoryValuesController::class, 'patch'])->name('patchDirectoryValue');
Route::post('categories/properties/directory:search', [DirectoryValuesController::class, 'search'])->name('searchDirectoryValues');
Route::post('classifiers/brands', [BrandsController::class, 'create'])->name('createBrand');
Route::get('classifiers/brands/{id}', [BrandsController::class, 'get'])->name('getBrand');
Route::put('classifiers/brands/{id}', [BrandsController::class, 'replace'])->name('replaceBrand');
Route::delete('classifiers/brands/{id}', [BrandsController::class, 'delete'])->name('deleteBrand');
Route::patch('classifiers/brands/{id}', [BrandsController::class, 'patch'])->name('patchBrand');
Route::post('classifiers/brands:search', [BrandsController::class, 'search'])->name('searchBrands');
Route::post('classifiers/brands:mass-delete', [BrandsController::class, 'massDelete'])->name('massDeleteBrands');
Route::post('classifiers/brands/{id}:upload-image', [BrandsController::class, 'uploadImage'])->name('uploadBrandImage');
Route::post('classifiers/brands/{id}:delete-image', [BrandsController::class, 'deleteImage'])->name('deleteBrandImage');
